# configuration-wui.json file 🚀

The **configuration-wui.json** file can be edited as needed to apply specific configurations. For example, a different logo can be entered both in the Login window and in the application, error messages can be updated or translated into another language, files can be uploaded with metadata and so on.

After editing the file, to make your changes effective remember to **restart the STENG**. If the modifications do not appear yet, **clear the Browser cache**.

This is an example of default configuration-wui.json file:

```json
{
  "pathHeaderLogo": "",
  "pathLogo": "",
  "loaderColor": "",
  "page": {
    "login": {
      "backgroundImageDesktop": "",
      "backgroundImageTablet": "",
      "backgroundImageMobile": "",
      "backgroundColor": "",
      "fileManagerTextColor": "",
      "elements": {
        "form": {
          "left": {
            "backgroundColor": ""
          },
          "right": {
            "backgroundColor": ""
          }
        },
        "button": {
          "color": "",
          "backgroundColor": ""
        },
        "input": {
          "borderColor": ""
        },
        "footer": {
          "color": "",
          "links": [
            {
              "label": {
                "en": "Link 1",
                "it": "Indirizzo 1"
              },
              "url": "https://www.primeur.com/",
              "newpage": true
            },
            {
              "label": {
                "en": "Link 2",
                "it": "Indirizzo 2"
              },
              "url": "https://www.primeur.com/",
              "newpage": false
            }
          ]
        }
      },
      "labels": {
        "title": {"en":"Welcome!"},
        "subTitle": {"en":"Nice to see you again."}
      },
      "errors": {
        "401": {
          "en": "This username and password combination is wrong.",
          "it": "Combinazione nome utente e password sbagliata."
        }
      }
    },
    "files": {
      "backgroundColor": "",
      "rootFolderColor": "",
      "elements": {
        "tablePagination": {
          "textColor": "",
          "activeColor": ""
        },
        "icon": {
          "color": ""
        },
        "table": {
          "textHeaderColor": "",
          "textHeaderColorSelected": "",
          "actionIconColor": ""
        },
        "checkbox": {
          "backgroundColor": "",
          "borderColor": ""
        },
        "button": {
          "primaryColor": "",
          "primaryBackgroundColor": "",
          "secondaryColor": "",
          "secondaryBackgroundColor": ""
        },
        "input": {
          "borderColor": ""
        },
        "footer": {
          "color": "",
          "links": [
            {
              "label": {
                "en": "Link 1",
                "it": "Indirizzo 1"
              },
              "url": "https://www.primeur.com/",
              "newpage": true
            },
            {
              "label": {
                "en": "Link 2",
                "it": "Indirizzo 2"
              },
              "url": "https://www.primeur.com/",
              "newpage": false
            }
          ]
        }
      },
      "errors": {
        "403": {
          "en": "You need correct permissions to perform this action",
          "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
        },
        "404": {
          "en": "Object not found",
          "it": "Oggetto non presente"
        },
        "409": {
          "en": "Object already exists",
          "it": "Oggetto già presente"
        },
        "permissions": {
          "download": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          },
          "upload": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          },
          "createFolder": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          },
          "rename": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          },
          "delete": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          },
          "listing": {
            "en": "You need correct permissions to perform this action",
            "it": "Sono necessarie delle autorizzazioni per eseguire questa azione"
          }
        }
      }
    }
  },
  "config": {
    "deleteAttributes": {
      "files": {
        "enable": true
      }
    },
    "connectionContractPathAfterLogin": true,
    "hideNewFolderBtn": false,
    "hideFolderAddAction": false,
    "hideBulk": false,
    "hideBulkDelete": false,
    "hideBulkDownload": false,
    "fixedUploadPath": "",
    "fileMetadataAttributes": {
      "enable": false,
      "fields": [
        {
          "name": "classification",
          "mandatory": true,
          "values": [
            "public",
            "secret"
          ],
          "defaultValue":"public",
          "labels": {
            "it": "Livello di riservatezza",
            "en": "Classification level"
          }
        },
        {
          "name": "sendernote",
          "mandatory": false,
          "maxLength":80,
          "defaultValue":"",
          "labels": {
            "it": "Nota del mittente",
            "en": "Sender note"
          }
        }
      ]
    }
  }
}


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-mover-1.21/file-manager/customize-file-manager-externals/configuration-wui.json-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
